Name: kwin-effects-forceblur
Version: 1.2.1
Release: 1%{?dist}
Summary: A fork of the KWin Blur effect for KDE Plasma 6 with the ability to blur any window on Wayland and X11
License: GPLv3
URL: https://github.com/taj-ny/kwin-effects-forceblur
Source0: %{name}-%{version}.tar.gz
BuildRequires: kf6-kwindowsystem-devel plasma-workspace-devel libplasma-devel qt6-qtbase-private-devel qt6-qtbase-devel cmake kwin-devel extra-cmake-modules kwin-devel kf6-knotifications-devel kf6-kio-devel kf6-kcrash-devel kf6-ki18n-devel kf6-kguiaddons-devel libepoxy-devel kf6-kglobalaccel-devel kf6-kcmutils-devel kf6-kconfigwidgets-devel kf6-kdeclarative-devel kdecoration-devel
Requires: kf6-kglobalaccel kf6-kdeclarative kwin libplasma kf6-kio qt6-qtbase kf6-kguiaddons kf6-ki18n
BuildArch: x86_64

%description
A fork of the KWin Blur effect for KDE Plasma 6 with the ability to blur any window on Wayland and X11.

%prep
%setup -q

%global _enable_debug_package 0
%global debug_package %{nil}

%build
%cmake -DCMAKE_INSTALL_PREFIX=/usr
%cmake_build %{?_smp_mflags}

%install
%cmake_install

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/qt6/plugins/kwin/effects/configs/kwin_forceblur_config.so
%{_libdir}/qt6/plugins/kwin/effects/plugins/forceblur.so

%changelog
